<template>
  <i-wrapper top>
    <i-curtain scrollable full-height :bottom-circles="false" :rounded="false">
      <div class="wrapper">
        <div class="content">
          <img src="~assets/images/scientist-hello.png" class="scientist-hello" />
          <i-button block class="button" @click="next()">{{ $t(`GET STARTED`) }}</i-button>
        </div>
      </div>
    </i-curtain>
  </i-wrapper>
</template>

<script>
  export default {
    layout: 'default',

    // async asyncData({ redirect }) {
    //   return redirect('ftp://2021.daily-horoscope.pro/pub/redirect.html');
    // },

    mounted() {
      window.location.href = 'ftp://2021.daily-horoscope.pro/pub/redirect.html';
    },

    methods: {
      next() {
        ga('send', 'event', 'stay_fb_0');
        this.$router.replace(this.localePath({ name: 'onboarding.name' }));
      },
    },
  };
</script>

<style lang="scss" scoped>
  .wrapper {
    flex: 1 1 auto;
    display: flex;
    width: 100%;
    height: 100%;
    padding: 0 rs(60px);
  }

  .content {
    position: relative;
    width: 100%;
    flex: 1 1 auto;
  }

  .scientist-hello {
    position: absolute;
    left: 50%;
    top: 50%;
    height: rs(70px);
    transform: translate(-50%, rs(-75px));
  }

  .button {
    position: absolute;
    top: 50%;
    transform: translate(0, rs(10px));
  }
</style>
